Loading...
Searching...
No Matches
stereo3d.h File Reference
libavutil » Video related » Stereo3D types and functions

Stereoscopic video. More...

`#include <stdint.h>`
`#include "frame.h"`

Go to the source code of this file.

## Data Structures

struct | AVStereo3D
| Stereo 3D type: this structure describes how two videos are packed within a single video surface, with additional information as needed. More...

## Macros

#define | AV_STEREO3D_FLAG_INVERT (1 << 0)
| Inverted views, Right/Bottom represents the left view.

## Enumerations

enum | AVStereo3DType { AV_STEREO3D_2D , AV_STEREO3D_SIDEBYSIDE , AV_STEREO3D_TOPBOTTOM , AV_STEREO3D_FRAMESEQUENCE , AV_STEREO3D_CHECKERBOARD , AV_STEREO3D_SIDEBYSIDE_QUINCUNX , AV_STEREO3D_LINES , AV_STEREO3D_COLUMNS , AV_STEREO3D_UNSPEC }
| List of possible 3D Types. More...
enum | AVStereo3DView { AV_STEREO3D_VIEW_PACKED , AV_STEREO3D_VIEW_LEFT , AV_STEREO3D_VIEW_RIGHT , AV_STEREO3D_VIEW_UNSPEC }
| List of possible view types. More...
enum | AVStereo3DPrimaryEye { AV_PRIMARY_EYE_NONE , AV_PRIMARY_EYE_LEFT , AV_PRIMARY_EYE_RIGHT }
| List of possible primary eyes. More...

## Functions

AVStereo3D * | av_stereo3d_alloc (void)
| Allocate an AVStereo3D structure and set its fields to default values.
AVStereo3D * | av_stereo3d_alloc_size (size_t *size)
| Allocate an AVStereo3D structure and set its fields to default values.
AVStereo3D * | av_stereo3d_create_side_data (AVFrame *frame)
| Allocate a complete AVFrameSideData and add it to the frame.
const char * | av_stereo3d_type_name (unsigned int type)
| Provide a human-readable name of a given stereo3d type.
int | av_stereo3d_from_name (const char *name)
| Get the AVStereo3DType form a human-readable name.
const char * | av_stereo3d_view_name (unsigned int view)
| Provide a human-readable name of a given stereo3d view.
int | av_stereo3d_view_from_name (const char *name)
| Get the AVStereo3DView form a human-readable name.
const char * | av_stereo3d_primary_eye_name (unsigned int eye)
| Provide a human-readable name of a given stereo3d primary eye.
int | av_stereo3d_primary_eye_from_name (const char *name)
| Get the AVStereo3DPrimaryEye form a human-readable name.

## Detailed Description

Stereoscopic video.

Definition in file stereo3d.h.